org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class JsBreakpointPropertiesAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.JsBreakpointPropertiesAction

Direct Known Subclasses:
  JsBreakpointPropertiesAction.Exception, JsBreakpointPropertiesAction.Line

    public abstract class JsBreakpointPropertiesAction
    extends java.lang.Object

Action to bring up the breakpoint properties dialog.

### Nested Class Summary

Nested Classes
`static class` `JsBreakpointPropertiesAction.Exception`
`static class` `JsBreakpointPropertiesAction.Line`

### Constructor Summary

Constructors
Constructor and Description
`JsBreakpointPropertiesAction()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract boolean` `isCorrectType(IBreakpoint breakpoint)`
`void` `run(IAction action)`
`protected static void` `runAction(IBreakpoint breakpoint, IShellProvider shell)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsBreakpointPropertiesAction

    public JsBreakpointPropertiesAction()

### Method Detail

#### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

#### run

    public void run(IAction action)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

#### isCorrectType

    protected abstract boolean isCorrectType(IBreakpoint breakpoint)

#### runAction

    protected static void runAction(IBreakpoint breakpoint,
                                    IShellProvider shell)